#Example

#my.path <- "c:\\tmp\\"
#source(file=paste(my.path,"ageprog.R",sep=""))
#source(file=paste(my.path,"demoprog.R",sep=""))
#source(file=paste(my.path,"simulcar.R",sep=""))
#source(file=paste(my.path,"insurance.v1.R",sep=""))

age.struct<-age.prog()
demo.struct<-demo.prog()
set.seed(123456)

#Simulating training and test data sets.
traindat<-simul.car(60000)
newdat<-simul.car(15000)[,1:2]

#Modelling and predicting
model<-insurance(traindat,1:2,3,c(2000,10000),bigprob=TRUE,opti.mode="single",tolerance=0.2,tratio=0.75)
classdat<-scale.insurance(model,newdat)
prediction<-predict.insurance(model,newdat,classdat)

#Plotting results
plotmat<-matrix(0,ncol=3,nrow=74)
plotmat[,1]<-17:90
for (i in 1:74) plotmat[i,2]<-mean(prediction$premia[which(prediction$premia[,1]==i+16),3])
for (i in 1:74) plotmat[i,3]<-mean(traindat[which(traindat[,1]==i+16),3])
plot(plotmat[,1],plotmat[,2],type="b",xlab="Age",ylab="Predicted Claim Amount",
     col="red", pch=1)
points(plotmat[,1],plotmat[,3],type="p",col="black",pch=16)
title("Mean Claim Amount: predicted (red) vs. observed (black)")
